<?php

$chapitres = $args['data'];

// $aNames = [
//   ['id' => 'couverture_landing', "name" => "Couverture Packshot"],
//   ['id' => 'couverture_image', "name" => "Couverture Image"],
//   ['id' => 'texte_1', "name" => "Titre ↓ Intro ↓ Texte"],
//   ['id' => 'image_texte_1', "name" => "Image / Texte fond noir"],
//   ['id' => 'image_texte_3', "name" => "Titre ↓ Image ↓ Texte"],
//   ['id' => 'image_texte_image', "name" => "Image / Texte / Image"],
//   ['id' => 'produit_texte_image', "name" => "Liste / Image"],
//   ['id' => 'texte_slider', "name" => "Texte / Slider"],
//   ['id' => 'liste_image', "name" => "Titre ↓ Image ↓ Liste"],
//   ['id' => 'liste', "name" => "Titre ↓ Liste"],
//   ['id' => 'citation', "name" => "Citation"],
//   ['id' => 'colonnes', "name" => "3 colonnes"],
//   ['id' => 'grille', "name" => "Grille de liens"],
//   ['id' => 'recompenses', "name" => "Récompenses"],
//   ['id' => 'espacement', "name" => "Espacement"]
// ];

$aNames = [
  'couverture_landing' => "Couverture Packshot",
  'couverture_image' => "Couverture Image",
  'texte_1' => "Titre ↓ Intro ↓ Texte",
  'image_texte_1' => "Image / Texte fond noir",
  'image_texte_3' => "Titre ↓ Image ↓ Texte",
  'image_texte_image' => "Image / Texte / Image",
  'produit_texte_image' => "Liste / Image",
  'texte_slider' => "Texte / Slider",
  'liste_image' => "Titre ↓ Image ↓ Liste",
  'liste' => "Titre ↓ Liste",
  'citation' => "Citation",
  'colonnes' => "3 colonnes",
  'grille' => "Grille de liens",
  'recompenses' => "Récompenses",
  'espacement' => "Espacement",
  'editorial' => 'Editorial',
  'editorial_2_images_texte' => 'Editorial 2 images ↓ texte',
  'slider' => 'Slideshow',
  'texte_bouton' => 'Texte / Bouton',
];

// acf de base
$degrade_debut = get_field('degrade_debut');
$degrade_fin = get_field('degrade_fin');
$couleur = get_field('couleur');

if (is_array($chapitres) && count($chapitres) > 1) {
  foreach ($chapitres as $chapitre) {
    $titre_du_menu = isset($chapitre['titre_du_menu']) ? $chapitre['titre_du_menu'] : '';
    $id = getIDFromString($titre_du_menu);
    $flexible = $chapitre['flexible'];
    echo '<div class="scrollspy chapitre relative "  id="chapitre-' . $id . '">';
    if (get_the_ID() == 9742) {
      echo '<h2 class="!text-center section-title py-10 text-white bg-black !mx-0 !mb-0 mt-10"> ' . $titre_du_menu  . '</h2>';
    }
    if (is_array($flexible)) {
      foreach ($flexible as $flex) {
        if (get_the_ID() == 9742) {

          echo '<h3 class="bg-gray !text-center section-title !text-2xl py-10 !m-0"> Nom du gabarit : ' . $aNames[$flex['acf_fc_layout']] . '</h3>';
        }
        echo '<section class="flexible relative ' . $flex['acf_fc_layout'] . '"  >';
        get_template_part('partials/flexible', $flex['acf_fc_layout'], ['data' => $flex]);
        echo '</section>';
        // include "./partials/flexible/" . $flex['acf_fc_layout'] . ".php";
      }
    }
    echo '</div>';
  }
} else {
  $flexible = $chapitres[0]['flexible'];
  if (is_array($flexible)) {
    foreach ($flexible as $flex) {
      echo '<section class="flexible relative ' . $flex['acf_fc_layout'] . '"  >';
      get_template_part('partials/flexible', $flex['acf_fc_layout'], ['data' => $flex]);
      echo '</section>';
      // include "./partials/flexible/" . $flex['acf_fc_layout'] . ".php";
    }
  }
}
